﻿.loader-container {
    display: flex;
    flex-direction: column; 
    justify-content: center;
    align-items: center;
    background-color: #ecf9f2;
    height: 100vh; 
    width: 100vw; 
    position: fixed;
    top: 0;
    left: 0;
}

.loader {
    width: 80%;
    height: 20px;
    border-radius: 20px;
    color: #1c9a87;
    border: 3px solid;
    position: relative;
}

    .loader::before {
        content: "";
        position: absolute;
        margin: 4px;
        inset: 0 calc(100% - var(--blazor-load-percentage, 0%)) 0 0;
        border-radius: inherit;
        background: currentColor;
    }

.loader-intermediate::before {
    content: "";
    position: absolute;
    inset: 0 100% 0 0; 
    background: currentColor;
    margin: 4px;
    border-radius: inherit;
    animation: animloader-inset 2s linear infinite;
}

@keyframes animloader-inset {
    0% {
        inset: 0 100% 0 0; 
    }

    100% {
        inset: 0 0 0 0;
    }
}


.loader-text {
    margin-top: 10px; 
    font-size: 1rem;
    font-family: monospace;
    color: #1c9a87;
}

    .loader-text::before {
        content: "Loading... (" var(--blazor-load-percentage-text, "0%") ")";
    }
